- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalThemeReference Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalThemeReference ()
| VSDOptionalThemeReference (const boost::optional< long > &lineColour, const boost::optional< long > &fillColour, const boost::optional< long > &shadowColour, const boost::optional< long > &fontColour)
| VSDOptionalThemeReference (const VSDOptionalThemeReference &themeRef)
| ~VSDOptionalThemeReference ()
void | override (const VSDOptionalThemeReference &themeRef)

## Public Attributes
boost::optional< long > | qsLineColour
boost::optional< long > | qsFillColour
boost::optional< long > | qsShadowColour
boost::optional< long > | qsFontColour

## Constructor & Destructor Documentation

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( |  | ) |
| inline

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( | const boost::optional< long > & | lineColour,
|  | const boost::optional< long > & | fillColour,
|  | const boost::optional< long > & | shadowColour,
|  | const boost::optional< long > & | fontColour
| ) |  |
| inline

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

libvisio::VSDOptionalThemeReference::~VSDOptionalThemeReference | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalThemeReference::override | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

## Member Data Documentation

boost::optional<long> libvisio::VSDOptionalThemeReference::qsFillColour

Referenced by override().

boost::optional<long> libvisio::VSDOptionalThemeReference::qsFontColour

Referenced by override().

boost::optional<long> libvisio::VSDOptionalThemeReference::qsLineColour

Referenced by override().

boost::optional<long> libvisio::VSDOptionalThemeReference::qsShadowColour

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h